#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Time
%define	pnam	Warp
Summary:	Time::Warp - control over the flow of time
Summary(pl.UTF-8):	Time::Warp - kontrola nad upływem czasu
Name:		perl-Time-Warp
Version:	0.5
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JP/JPRIT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	33652a9dfdc11366ddba95efe6432a51
URL:		http://search.cpan.org/dist/Time-Warp/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Our external experience unfolds in 3 1/2 dimensions (time has a
dimensionality of 1/2). The Time::Warp module offers developers
control over the measurement of time.

%description -l pl.UTF-8
Nasze zewnętrzne doświadczenie odsłania się w 3.5 wymiarach (czas ma
pół wymiaru). Moduł Time::Warp oferuje programistom kontrolę nad
pomiarem czasu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Time/*.pm
%dir %{perl_vendorarch}/auto/Time/Warp
%attr(755,root,root) %{perl_vendorarch}/auto/Time/Warp/*.so
%{_mandir}/man3/*
%changelog
* Mon Jul 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Time-Warp.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9f20e51
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1b53bab
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 0f9e2cc
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 64623d9
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> e6d7bb0
- x32 rebuild
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2af7f31
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f7b198a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0a18221
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 604914d
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 273e980
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 57032f7
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> d6afcb2
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> ced1423
- pl

* Thu Mar 29 2007 radek <radek@pld-linux.org> 973381f
- new

